Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface PluralAttributeKeySource

All Known Implementing Classes:
  PluralAttributeKeySourceImpl

    public interface PluralAttributeKeySource

Method Summary
`String` | `getExplicitForeignKeyName()`
`ForeignKey.ReferentialAction` | `getOnDeleteAction()`
`String` | `getReferencedEntityAttributeName()`
`List<RelationalValueSource>` | `getValueSources()`

Method Detail

### getValueSources

    List<RelationalValueSource> getValueSources()

### getExplicitForeignKeyName

    String getExplicitForeignKeyName()

### getOnDeleteAction

    ForeignKey.ReferentialAction getOnDeleteAction()

### getReferencedEntityAttributeName

    String getReferencedEntityAttributeName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.